/*******************************************************************************
* File Name: RES.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RES_H) /* Pins RES_H */
#define CY_PINS_RES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "RES_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 RES__PORT == 15 && ((RES__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    RES_Write(uint8 value) ;
void    RES_SetDriveMode(uint8 mode) ;
uint8   RES_ReadDataReg(void) ;
uint8   RES_Read(void) ;
uint8   RES_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RES_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define RES_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define RES_DM_RES_UP          PIN_DM_RES_UP
#define RES_DM_RES_DWN         PIN_DM_RES_DWN
#define RES_DM_OD_LO           PIN_DM_OD_LO
#define RES_DM_OD_HI           PIN_DM_OD_HI
#define RES_DM_STRONG          PIN_DM_STRONG
#define RES_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define RES_MASK               RES__MASK
#define RES_SHIFT              RES__SHIFT
#define RES_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RES_PS                     (* (reg8 *) RES__PS)
/* Data Register */
#define RES_DR                     (* (reg8 *) RES__DR)
/* Port Number */
#define RES_PRT_NUM                (* (reg8 *) RES__PRT) 
/* Connect to Analog Globals */                                                  
#define RES_AG                     (* (reg8 *) RES__AG)                       
/* Analog MUX bux enable */
#define RES_AMUX                   (* (reg8 *) RES__AMUX) 
/* Bidirectional Enable */                                                        
#define RES_BIE                    (* (reg8 *) RES__BIE)
/* Bit-mask for Aliased Register Access */
#define RES_BIT_MASK               (* (reg8 *) RES__BIT_MASK)
/* Bypass Enable */
#define RES_BYP                    (* (reg8 *) RES__BYP)
/* Port wide control signals */                                                   
#define RES_CTL                    (* (reg8 *) RES__CTL)
/* Drive Modes */
#define RES_DM0                    (* (reg8 *) RES__DM0) 
#define RES_DM1                    (* (reg8 *) RES__DM1)
#define RES_DM2                    (* (reg8 *) RES__DM2) 
/* Input Buffer Disable Override */
#define RES_INP_DIS                (* (reg8 *) RES__INP_DIS)
/* LCD Common or Segment Drive */
#define RES_LCD_COM_SEG            (* (reg8 *) RES__LCD_COM_SEG)
/* Enable Segment LCD */
#define RES_LCD_EN                 (* (reg8 *) RES__LCD_EN)
/* Slew Rate Control */
#define RES_SLW                    (* (reg8 *) RES__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define RES_PRTDSI__CAPS_SEL       (* (reg8 *) RES__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define RES_PRTDSI__DBL_SYNC_IN    (* (reg8 *) RES__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define RES_PRTDSI__OE_SEL0        (* (reg8 *) RES__PRTDSI__OE_SEL0) 
#define RES_PRTDSI__OE_SEL1        (* (reg8 *) RES__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define RES_PRTDSI__OUT_SEL0       (* (reg8 *) RES__PRTDSI__OUT_SEL0) 
#define RES_PRTDSI__OUT_SEL1       (* (reg8 *) RES__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define RES_PRTDSI__SYNC_OUT       (* (reg8 *) RES__PRTDSI__SYNC_OUT) 


#if defined(RES__INTSTAT)  /* Interrupt Registers */

    #define RES_INTSTAT                (* (reg8 *) RES__INTSTAT)
    #define RES_SNAP                   (* (reg8 *) RES__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_RES_H */


/* [] END OF FILE */
